version: "3.8"

x-envs: &envs
  "ENVIRONMENT": "PRODUCTION"
  "TIME_ZONE": "America/Sao_Paulo"
  "DJANGO_SETTINGS_MODULE": "settings.production"

services:
  service-investimento:
    build:
      dockerfile: ../../deploy/images/Dockerfile
      context: .
    image: image-investimento:latest
    container_name: api-investimento
    ports:
      - "8000:8000"
    networks:
      - production-apps
    environment:
      <<: *envs
    deploy:
      placement:
        constraints:
          - "node.role==worker"
      update_config:
        parallelism: 1
        delay: 10s
        order: start-first
        monitor: 10s

      resources:
        limits:
          cpus: "0.25"
networks:
  production-apps:
    driver: bridge